Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 529666 - net-misc/remmina-1.1.1 with net-misc/freerdp-1.2.0_beta1_pre20141115 - CMake Error at /usr/share/cmake/Modules/FindPackageHandleStandardArgs.cmake:136 (message): Could NOT find FREERDP (missing: FREERDP_LIBRARY)
Summary: net-misc/remmina-1.1.1 with net-misc/freerdp-1.2.0_beta1_pre20141115 - CMake ...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal with 3 votes (vote)
Assignee: Tristan Heaven (RETIRED)
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-11-18 09:00 UTC by Mark R. Pariente
Modified: 2014-12-07 09:46 UTC (History)
8 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log.gz (build.log.gz,2.27 KB, application/gzip)
2014-11-18 09:00 UTC, Mark R. Pariente
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Mark R. Pariente 2014-11-18 09:00:37 UTC
Created attachment 389614 [details]
build.log.gz

Getting error during configure step trying to rebuild net-misc/remmina-1.1.1 against the newly bumped net-misc/freerdp-1.2.0_beta1_pre20141115

-- checking for module 'freerdp>=1.0'
--   found freerdp, version 1.2.0-dev
CMake Error at /usr/share/cmake/Modules/FindPackageHandleStandardArgs.cmake:136 (message):
  Could NOT find FREERDP (missing: FREERDP_LIBRARY)
Call Stack (most recent call first):
  /usr/share/cmake/Modules/FindPackageHandleStandardArgs.cmake:343 (_FPHSA_FAILURE_MESSAGE)
  cmake/FindFREERDP.cmake:47 (find_package_handle_standard_args)
  cmake/FindOptionalPackage.cmake:37 (find_package)
  remmina-plugins/CMakeLists.txt:59 (find_suggested_package)


Build log attached. emerge --info:

Portage 2.2.14 (python 2.7.8-final-0, default/linux/amd64/13.0/desktop/gnome, gcc-4.9.2, glibc-2.20, 3.17.3-gentoo x86_64)
=================================================================
System uname: Linux-3.17.3-gentoo-x86_64-Intel-R-_Core-TM-_i7_CPU_950_@_3.07GHz-with-gentoo-2.2
KiB Mem:    12280516 total,   4608496 free
KiB Swap:   16787888 total,  16624968 free
Timestamp of tree: Tue, 18 Nov 2014 08:15:01 +0000
ld GNU ld (Gentoo 2.24 p1.4) 2.24
distcc 3.2rc1 x86_64-pc-linux-gnu [disabled]
app-shells/bash:          4.3_p30-r1
dev-java/java-config:     2.2.0
dev-lang/perl:            5.20.1-r2
dev-lang/python:          2.7.8, 3.3.5-r1, 3.4.2
dev-util/cmake:           3.0.2
dev-util/pkgconfig:       0.28-r2
sys-apps/baselayout:      2.2
sys-apps/openrc:          0.13.4
sys-apps/sandbox:         2.6-r1
sys-devel/autoconf:       2.13, 2.69
sys-devel/automake:       1.10.3-r1, 1.11.6-r1, 1.12.6, 1.14.1
sys-devel/binutils:       2.24-r3
sys-devel/gcc:            4.8.3::Mark-s-local-portage-overlay, 4.9.2
sys-devel/gcc-config:     1.8
sys-devel/libtool:        2.4.3-r2
sys-devel/make:           4.1-r1
sys-kernel/linux-headers: 3.17-r1 (virtual/os-headers)
sys-libs/glibc:           2.20
Repositories: gentoo mrpdaemon steam-overlay megacoffee Mark-s-local-portage-overlay
ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="*"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=native -mtune=native -O3 -pipe -fomit-frame-pointer"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/gnupg/qualified.txt /usr/share/maven-bin-3.1/conf"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-march=native -mtune=native -O3 -pipe -fomit-frame-pointer"
DISTDIR="/usr/portage/distfiles"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs buildpkg config-protect-if-modified distlocks ebuild-locks fixlafiles merge-sync news parallel-fetch preserve-libs protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://mirror.usu.edu/mirrors/gentoo/ http://gentoo.llarian.net/ http://gentoo.gossamerhost.com http://gentoo.mirrors.hoobly.com/"
LANG="en_US.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j9 -l9"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/var/lib/layman/mrpdaemon /var/lib/layman/steam /var/lib/layman/megacoffee /usr/local/portage"
SYNC="rsync://rsync27.us.gentoo.org/gentoo-portage"
USE="X a52 aac acl acpi alsa amd64 avahi bash-completion berkdb bluray branding bzip2 cairo cdda cdr cli clutter colord cracklib crypt cscope cups cxx dbus dri dts dv dvd dvdr eds emboss encode evo exif faac fam ffmpeg firefox flac fontconfig fortran gdbm gif git glade glamor gnome gnome-keyring gnome-online-accounts gphoto2 gpm gstreamer gtk i18n iconv introspection ipv6 jabber jpeg lcms libnotify libsecret mad mmx mmxext mng modules mp3 mp4 mpeg msn multilib nautilus ncurses networkmanager nls nptl ogg opengl openmp pam pango pcre pdf png policykit ppds pulseaudio python qt3support qt4 readline rtmp sdl session socialweb spell sse sse2 sse3 sse4 sse4_1 sse4_2 ssl ssse3 startup-notification svg systemd tcpd theora threads tiff tracker truetype udev udisks unicode upower usb v4l vala vdpau vim-syntax vorbis vpx wxwidgets x264 xcb xml xv xvid xvmc zlib" ABI_X86="64" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias access_compat" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump author" CAMERAS="*" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ublox ubx" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LINGUAS="en" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-5" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7 python3_3" RUBY_TARGETS="ruby19 ruby20" USERLAND="GNU" VIDEO_CARDS="nvidia" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, USE_PYTHON
Comment 1 Christian Bricart 2014-11-18 10:47:34 UTC
quoting: https://github.com/FreeRDP/Remmina/wiki
> CURRENT STATUS
> 
> "master" branch: the 1.1.1 stable version, which compiles with
> freerdp 1.1 stable
> "next" branch: the future 1.2.0 version, which compiles with
> current freerdp master branch and will compile with freerdp 1.2 when released.

so maybe net-misc/remmina and net-misc/freerdp should have SLOTs..?
Comment 2 Paweł Stankowski 2014-11-18 22:55:05 UTC
(In reply to Christian Bricart from comment #1)
> quoting: https://github.com/FreeRDP/Remmina/wiki
> > CURRENT STATUS
> > 
> > "master" branch: the 1.1.1 stable version, which compiles with
> > freerdp 1.1 stable
> > "next" branch: the future 1.2.0 version, which compiles with
> > current freerdp master branch and will compile with freerdp 1.2 when released.
> 
> so maybe net-misc/remmina and net-misc/freerdp should have SLOTs..?

Actually freerdp 1.2.0 ebuild has subslot equal to "1.2".
Comment 3 Billy DeVincentis 2014-11-21 13:03:01 UTC
I don't know but I haven't been able to get any version of this to emerge successfully for the last couple of weeks
Comment 4 Sergey Ilinykh 2014-11-24 19:55:16 UTC
as far as I understand we have to wait for upstream remmina fixes.

freerdp doesn't install all required pkgconfig files anymore.
probably they are unnecesary anymore in new version.
that's why remmina's cmake files fail to find required packages.
Comment 5 Sergey Ilinykh 2014-11-24 19:57:59 UTC
didn't read all comments here. 
ok it's already explained. =)

sorry for spam =)
Comment 6 René Rhéaume 2014-11-30 19:53:10 UTC
As stated on upstream wiki
https://github.com/FreeRDP/Remmina/wiki

CURRENT STATUS

"master" branch: the 1.1.1 stable version, which compiles with freerdp 1.1 stable

"next" branch: the future 1.2.0 version, which compiles with current freerdp master branch and will compile with freerdp 1.2 when released.
Comment 7 Joakim Tjernlund 2014-12-01 18:02:12 UTC
(In reply to René Rhéaume from comment #6)
> As stated on upstream wiki
> https://github.com/FreeRDP/Remmina/wiki
> 
> CURRENT STATUS
> 
> "master" branch: the 1.1.1 stable version, which compiles with freerdp 1.1
> stable
> 
> "next" branch: the future 1.2.0 version, which compiles with current freerdp
> master branch and will compile with freerdp 1.2 when released.

hmm, perhaps remmina-9999 can point to the "next" branch then?
Comment 8 Maxim Koltsov gentoo-dev 2014-12-07 09:46:11 UTC
I updated dependency in 1.1.1 and 9999 to <freerdp-1.2, now they both compile. I did not switch 9999 to the next branch, because it has some issues with compilation with vte and ssh disabled. I've reported the issue upstream.